# class TimeInterval |
Full name | `Snmp::TimeInterval`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TimeInterval ()
- TimeInterval (void* data, int len)
- ~TimeInterval ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- u_int32_t m_TimeInterval
- static const u_int32_t s_TimeIntervalMinSize
- static const u_int32_t s_TimeIntervalMaxSize

## Detailed Description

static const int s_type | ### s_type

u_int32_t m_TimeInterval | ### m_TimeInterval

static const u_int32_t s_TimeIntervalMinSize | ### s_TimeIntervalMinSize

static const u_int32_t s_TimeIntervalMaxSize | ### s_TimeIntervalMaxSize

TimeInterval () | ### TimeInterval

TimeInterval (void* data, int len) | ### TimeInterval

~TimeInterval () | ### ~TimeInterval

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.